%global fontname oflb-ackermann
%global fontconf 63-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        001.000
Release:        2.20130602%{?dist}
Summary:        Ackermann font family
License:        OFL

URL:            http://openfontlibrary.org/en/font/ackermann
Source0:        https://empateinfinito.fedorapeople.org/font/oflb-ackermann-fonts/oflb-ackermann-fonts-001.000.tar.gz
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
This font does cover all the characters used in the TeX base encoding.
Ultimately I just wanted to make a font that looks nice.

%prep
%setup -q 
chmod 0644 *.txt
for txt in *.txt ; do
   fold -s $txt > $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.otf
%doc *.txt
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Sun Feb 08 2015 Carlos Morel-Riquelme <empateinfinito@gmail.com> - 001.000-2.20130602
- Fix metainfo.xml

* Sun Feb 08 2015 Carlos Morel-Riquelme <empateinfinito@gmail.com> - 001.000-1.20130602
- Initial version
- Add metainfo file to show this font in gnome-software

